<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>MavenPluginConvention (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="MavenPluginConvention (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/MavenPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/MavenRepositoryHandlerConvention.html" title="interface in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/MavenPluginConvention.html" target="_top">Frames</a></li>
<li><a href="MavenPluginConvention.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins</div>
<h2 title="Class MavenPluginConvention" class="title">Class MavenPluginConvention</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.MavenPluginConvention</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">MavenPluginConvention</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider</pre>
<div class="block">Properties and methods added by the <a href="../../../../org/gradle/api/plugins/MavenPlugin.html" title="class in org.gradle.api.plugins"><code>MavenPlugin</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal,%20org.gradle.api.publication.maven.internal.MavenFactory)">MavenPluginConvention</a></strong>(org.gradle.api.internal.project.ProjectInternal&nbsp;project,
                     org.gradle.api.publication.maven.internal.MavenFactory&nbsp;mavenFactory)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/maven/Conf2ScopeMappingContainer.html" title="interface in org.gradle.api.artifacts.maven">Conf2ScopeMappingContainer</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#getConf2ScopeMappings()">getConf2ScopeMappings</a></strong>()</code>
<div class="block">Returns the set of rules for how to map Gradle dependencies to Maven scopes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#getMavenPomDir()">getMavenPomDir</a></strong>()</code>
<div class="block">Returns the directory to generate Maven POMs into.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#pom()">pom</a></strong>()</code>
<div class="block">Creates a new <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#pom(org.gradle.api.Action)">pom</a></strong>(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&gt;&nbsp;configureAction)</code>
<div class="block">Creates and configures a new <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#pom(groovy.lang.Closure)">pom</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</code>
<div class="block">Creates and configures a new <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#setConf2ScopeMappings(org.gradle.api.artifacts.maven.Conf2ScopeMappingContainer)">setConf2ScopeMappings</a></strong>(<a href="../../../../org/gradle/api/artifacts/maven/Conf2ScopeMappingContainer.html" title="interface in org.gradle.api.artifacts.maven">Conf2ScopeMappingContainer</a>&nbsp;conf2ScopeMappings)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#setMavenPomDir(java.io.File)">setMavenPomDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;pomDir)</code>
<div class="block">Sets the directory to generate Maven POMs into.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/MavenPluginConvention.html#setMavenPomDir(java.lang.Object)">setMavenPomDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pomDir)</code>
<div class="block">Sets the directory to generate Maven POMs into.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal, org.gradle.api.publication.maven.internal.MavenFactory)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MavenPluginConvention</h4>
<pre>public&nbsp;MavenPluginConvention(org.gradle.api.internal.project.ProjectInternal&nbsp;project,
                     org.gradle.api.publication.maven.internal.MavenFactory&nbsp;mavenFactory)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConf2ScopeMappings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConf2ScopeMappings</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/artifacts/maven/Conf2ScopeMappingContainer.html" title="interface in org.gradle.api.artifacts.maven">Conf2ScopeMappingContainer</a>&nbsp;getConf2ScopeMappings()</pre>
<div class="block">Returns the set of rules for how to map Gradle dependencies to Maven scopes.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The mapping rules.</dd></dl>
</li>
</ul>
<a name="setConf2ScopeMappings(org.gradle.api.artifacts.maven.Conf2ScopeMappingContainer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf2ScopeMappings</h4>
<pre>public&nbsp;void&nbsp;setConf2ScopeMappings(<a href="../../../../org/gradle/api/artifacts/maven/Conf2ScopeMappingContainer.html" title="interface in org.gradle.api.artifacts.maven">Conf2ScopeMappingContainer</a>&nbsp;conf2ScopeMappings)</pre>
</li>
</ul>
<a name="getMavenPomDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMavenPomDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getMavenPomDir()</pre>
<div class="block">Returns the directory to generate Maven POMs into.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>getMavenPomDir</code>&nbsp;in interface&nbsp;<code>org.gradle.api.publication.maven.internal.MavenPomMetaInfoProvider</code></dd>
</dl>
</li>
</ul>
<a name="setMavenPomDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMavenPomDir</h4>
<pre>public&nbsp;void&nbsp;setMavenPomDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;pomDir)</pre>
<div class="block">Sets the directory to generate Maven POMs into.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pomDir</code> - The new POM directory.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setMavenPomDir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMavenPomDir</h4>
<pre>public&nbsp;void&nbsp;setMavenPomDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;pomDir)</pre>
<div class="block">Sets the directory to generate Maven POMs into.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pomDir</code> - The new POM directory. Evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</dd></dl>
</li>
</ul>
<a name="pom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom()</pre>
<div class="block">Creates a new <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The POM instance.</dd></dl>
</li>
</ul>
<a name="pom(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pom</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;configureClosure)</pre>
<div class="block">Creates and configures a new <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a>. The given closure is executed to configure the new POM instance.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureClosure</code> - The closure to use to configure the POM instance.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The POM instance.</dd></dl>
</li>
</ul>
<a name="pom(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>pom</h4>
<pre>public&nbsp;<a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&nbsp;pom(<a href="../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven">MavenPom</a>&gt;&nbsp;configureAction)</pre>
<div class="block">Creates and configures a new <a href="../../../../org/gradle/api/artifacts/maven/MavenPom.html" title="interface in org.gradle.api.artifacts.maven"><code>MavenPom</code></a>. The given action is executed to configure the new POM instance.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>configureAction</code> - The action to use to configure the POM instance.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The POM instance.</dd><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/MavenPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/MavenRepositoryHandlerConvention.html" title="interface in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/MavenPluginConvention.html" target="_top">Frames</a></li>
<li><a href="MavenPluginConvention.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
